Page MenuHomeFreeBSD

remove guards around installing loader.rc and menu.rc
ClosedPublic

Authored by allanjude on Jul 23 2015, 7:57 PM.

Details

Summary

On head, loader.rc and menu.rc files are not updated
on installworld. This is no longer necessary since loader.rc.local
and menu.rc.local files are parsed for local overrides.
The guards that protect this installation can be removed.

There is a Bugzilla 183765 about it.

Test Plan

Apply patch, make a change to menu.rc/loader.rc,
make installworld, and check that the file was replaced with built
version.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lifanov_mail.lifanov.com retitled this revision from to remove guards around installing loader.rc and menu.rc.
lifanov_mail.lifanov.com updated this object.
lifanov_mail.lifanov.com edited the test plan for this revision. (Show Details)
eadler added a reviewer: eadler.
This revision is now accepted and ready to land.Jul 25 2015, 7:28 PM

If you are going to replace a file, then you need to have a big banner in that file saying
"this file will be replaced automaitcally on upgrade. Do not edit it.
Please put any local changes in /boot/rc.loader.local"

lifanov_mail.lifanov.com edited edge metadata.

Address feedback by julian:

Good point! Since we can't retroactively add a warning
to existing files, I also included an entry in UPDATING.

This revision now requires review to proceed.Aug 5 2015, 4:12 PM

The text in menu.rc and loader.rc is loosely based on text in /etc/defaults/*.conf.

dteske edited edge metadata.

Ready to ship. Thumbs-up and excellent work/catch.

This revision is now accepted and ready to land.Aug 5 2015, 4:43 PM
lifanov_mail.lifanov.com edited edge metadata.

reroll after another UPDATING change to avoid merge conflicts on apply

This revision now requires review to proceed.Aug 6 2015, 2:00 PM
bapt edited edge metadata.
This revision is now accepted and ready to land.Aug 6 2015, 2:22 PM
dteske edited edge metadata.
loos edited edge metadata.

Well done!

allanjude edited reviewers, added: lifanov_mail.lifanov.com; removed: allanjude.

Taking this to commit it

This revision was automatically updated to reflect the committed changes.